Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.imageio
Class ImageLoaderJAI

    java.lang.Object
      |
      +--com.vistech.jai.imageio.ImageLoaderJAI

All Implemented Interfaces:
  java.util.EventListener, ListSelectListener

public class ImageLoaderJAI
extends java.lang.Object
implements ListSelectListener

Loads an image from a local directory using the JAI Image I/O package.Once an image is loaded, it fires the imageLoaded event to the registered listeners.

Version:
  1.0 3 Sept 2000
Author:
  Lawrence Rodrigues

Field Summary
`protected javax.media.jai.PlanarImage` | `loadedImage`
`protected java.beans.PropertyChangeSupport` | `pcNotifier`

Constructor Summary
`ImageLoaderJAI()`

Method Summary
`void` | `addPlanarImageLoadedListener(PlanarImageLoadedListener il)`
`protected void` | `fireImageLoadedEvent(javax.media.jai.PlanarImage img)`
`javax.media.jai.PlanarImage` | `getLoadedImage()`
`void` | `load(ListSelectEvent e)` This method is typically called whenever a list is selected.
`javax.media.jai.PlanarImage` | `loadImage(java.lang.String path)`
`static javax.media.jai.PlanarImage` | `readAsPlanarImage(java.lang.String filename)`
`void` | `removePlanarImageLoadedListener(PlanarImageLoadedListener il)`
`void` | `setLoadedImage(javax.media.jai.PlanarImage img)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loadedImage

    protected javax.media.jai.PlanarImage loadedImage

### pcNotifier

    protected java.beans.PropertyChangeSupport pcNotifier

Constructor Detail

### ImageLoaderJAI

    public ImageLoaderJAI()

Method Detail

### load

    public void load(ListSelectEvent e)

  Description copied from interface: `ListSelectListener`
  This method is typically called whenever a list is selected. The ListSelectEvent carries the list select event data. This includes the list and the path.
  Specified by:
    `load` in interface `ListSelectListener`
  Following copied from interface: `com.vistech.events.ListSelectListener`
  Parameters:
    `e` - the ListSelectEvent.

### loadImage

    public javax.media.jai.PlanarImage loadImage(java.lang.String path)

### readAsPlanarImage

    public static javax.media.jai.PlanarImage readAsPlanarImage(java.lang.String filename)

### setLoadedImage

    public void setLoadedImage(javax.media.jai.PlanarImage img)

### getLoadedImage

    public javax.media.jai.PlanarImage getLoadedImage()

### addPlanarImageLoadedListener

    public void addPlanarImageLoadedListener(PlanarImageLoadedListener il)

### removePlanarImageLoadedListener

    public void removePlanarImageLoadedListener(PlanarImageLoadedListener il)

### fireImageLoadedEvent

    protected void fireImageLoadedEvent(javax.media.jai.PlanarImage img)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD